Executes a search to the Lightcast Companies database.
Name Type Description versionstring The Lightcast Company version
Name Type Description qstring A query string or whole or partial keywords to search Company Name fieldsstring Comma separated list of fields to return in the results. limit integer How many search results to return. This parameter is optional. Default is 10 offset integer Starting index of the results. This parameter is optional. Default is 0
cURL
curl --request GET \
--url /company/versions/3.0.4/companies?q=lightcast&fields=company_id%2Ccompany_name%domain&limit=3&offset=0 \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \
200
{
"data": [
{
"company_id": "0c169bcd-c295-422a-8cbc-e1a441407d82",
"company_name": "Lightcast",
"website": "https://lightcast.bio"
},
{
"company_id": "1eef06a0-8c6f-4b09-b5a7-b9b7e0d6737b",
"company_name": "Lightcast",
"website": "https://www.lightcast.io/"
},
{
"company_id": "694dc1ac-462a-4108-b7cd-b45ef6d9fd7e",
"company_name": "Lightcast Church International",
"website": "www.lightcast.nyc"
}
],
"limit": 3,
"offset": 0,
"count": 3
}
Executes a search to the Lightcast Companies database
Name Type Description versionstring The Lightcast Company version
JSON
{
"filter": {
"acme_id": [
"20",
"39742874"
]
},
"fields": [
"company_id",
"company_name",
"domain"
],
"limit": 10,
"offset": 0
}
cURL
curl --request POST \
--url https://api.lightcast.io/company/versions/3.0.4/companies \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \
200
[
{
"company_id": "1eef06a0-8c6f-4b09-b5a7-b9b7e0d6737b",
"company_name": "Lightcast",
"domain": "lightcast.io"
},
{
"company_id": "780fb79d-a25e-44bf-9720-91de348c99a7",
"company_name": "Amazon.com, Inc.",
"domain": "amazon.com"
}
]